VARKON Version 1.16 1998-11-12

### hp7475

VARKON plotter driver

Description

hp7475 translates .PLT or .DXF format to the Hewlett Packard hp7475 plotter format. hp7475 reads from standard input and writes to standard output.

Syntax

hp7475 -sS -wsL -xX -yY -vN -hS -kK

Options preceded by a minus sign should be followed by their value without any separating blank spaces.

Options

-sS | - Set scale to S. Float value, default = 1.0
-wsL | - Set linewidthscale to L. Float value, default = S
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-hS | - Pen speed . 0.0 <= S <= 1.0 Default = 0.6
-kK | - Set curve accuracy to K. Float value, default = 1.0

Examples

hp7475 <plofile.PLT >plotfile.HP -s0.5

Scales the image in plotfile.PLT to half size and writes the result to a new file named "plotfile.HP" using the hp7475 format.

hp7475 <plofile.PLT -s0.5 | lp

Same as above but the result is sent to a spooled plotter.

hp7475 <plofile.PLT -s0.5 >/dev/tty2

Same as above but result sent directly to a serial port.

Comments

hp7475 automatically recognizes if the input is in .PLT or DXF format. The -k option only applies to DXF format.

The pen speed of the hp7475 plotter can only be altered in fixed steps. The hp7475 program selects the speed closest to the relative value given with the -h option. 1 is the highest and 0 is the lowest speed.

hp7475 does not support color but if a plotter with more than one pen is used the PEN attribute can be used to force the plotter to use different pens. If different pens have different colors this will produce a color printout.

Lines of variable width may be produced in the same way as above by using a plotter with multiple pens of varying width or through the WIDTH attribute. Penfiles are still supported but may not be in future releases.

hp7475 reads "$VARKON_PLT/hp7475.PEN" when invoked to establish the size (width) of the pen(s) actually available. If this file is missing an errormessage is reported and no output is produced.

VARKON Homepage | Index